%global modname naftawayh
%global distname Naftawayh

Name:				python-naftawayh
Version:			0.2
Release:			13%{?dist}
Summary:			Arabic word tagger
Summary(ar):		تصنيف الكلمات العربية
License:			GPLv1
URL:				http://naftawayh.sourceforge.net/
Source:				https://pypi.python.org/packages/source/N/%{distname}/%{distname}-%{version}.zip
#By PKG-INFO file, and after calling programmer:
Source1:            gpl-1.0.txt
#Fix file encoding:
Source2:            %{distname}-PKG-INFO
BuildArch:			noarch
BuildRequires:		python2-devel
BuildRequires:		python2-setuptools

%global _description\
Naftawayh is a python library for Arabic word tagging (word classification)\
into types (nouns, verbs, stopwords), which is useful in language processing,\
especially for text mining. Naftawayh works according to the Arabic word\
structure, and the ability to guess the word class, through certain signs.

%global _description_ar\
نفطويه هو برنامج ومكتبة لتصنيف الكلمات إلى أنواعها (اسم، فعل، حرف)، ويفيد\
في المعالجة الآلية للغة وخصوصا التنقيب عن المعلومات، ومبدأه يعمل على بنية\
الكلمة العربية، وقدرتنا على تخمين نوعها، من خلال علامات معينة. فمثلا كل كلمة\
تنتهي بتاء مربوطة فهي اسم، وكل كلمة فيها همزة تحت الألف اسم. ويمكننا التعرف\
على كثير من الكلمات المعرّفة بالألف واللام، وبعض أنماط الأفعال المضارعة.

%description %_description
%description -l ar %_description_ar

%package -n python2-naftawayh
Summary:			Arabic word tagger
Summary(ar):		تصنيف الكلمات العربية
%{?python_provide:%python_provide python2-naftawayh}

%description -n python2-naftawayh %_description
%description -n python2-naftawayh -l ar %_description_ar


%prep
%setup -q -n %{distname}-%{version}
rm -rf *.egg-info
#Remove the python shebang:
sed -i 's:#!/usr/bin/python::g' %{modname}/*
#Add License File:
cp -p %{SOURCE1} .
#Fix file encoding:
cp -p %{SOURCE2} ./PKG-INFO

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root=%{buildroot}

%files -n python2-naftawayh
%doc PKG-INFO gpl-1.0.txt
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{distname}-%{version}-py2.*.egg-info

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.2-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Aug 10 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-10
- Python 2 binary package renamed to python2-naftawayh
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 24 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-4
- Minor fixes during revision.

* Thu Oct 23 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-3
- General revision.

* Sun Jan 12 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-2
- Fix license line.
- Fix %%prep section.

* Wed Jan 1 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-1
- Initial build.
